diff --git a/main.asm b/main.asm
index 0d81c646..b3e2074b 100755
--- a/main.asm
+++ b/main.asm
@@ -97862,7 +100321,7 @@ SSAnne10Object: ; 0x61e75 (size=165)
 UndergroundPathNS_h: ; 0x61f1a to 0x61f26 (12 bytes) (id=119)
 	db $0b ; tileset
 	db UNDERGROUND_PATH_NS_HEIGHT, UNDERGROUND_PATH_NS_WIDTH ; dimensions (y, x)
-	dw UndergroundPathNSBlocks, UndergroundPathNSTexts, UndergroundPathNSScript ; blocks, texts, scripts
+	dw UndergroundPathNSBlocks, UndergroundPathNSTextPointers, UndergroundPathNSScript ; blocks, texts, scripts
 	db $00 ; connections
 
 	dw UndergroundPathNSObject ; objects
@@ -97870,7 +100329,7 @@ UndergroundPathNS_h: ; 0x61f1a to 0x61f26 (12 bytes) (id=119)
 UndergroundPathNSScript: ; 61f26 (18:5f26)
 	jp EnableAutoTextBoxDrawing
 
-UndergroundPathNSTexts: ; 61f29 (18:5f29)
+UndergroundPathNSTextPointers: ; 61f29 (18:5f29)
 	db "@"
 
 UndergroundPathNSObject: ; 0x61f2a (size=20)
@@ -97891,7 +100350,7 @@ UndergroundPathNSObject: ; 0x61f2a (size=20)
 UndergroundPathWE_h: ; 0x61f3e to 0x61f4a (12 bytes) (id=121)
 	db $0b ; tileset
 	db UNDERGROUND_PATH_WE_HEIGHT, UNDERGROUND_PATH_WE_WIDTH ; dimensions (y, x)
-	dw $41f4, UndergroundPathWETexts, UndergroundPathWEScript ; blocks, texts, scripts
+	dw $41f4, UndergroundPathWETextPointers, UndergroundPathWEScript ; blocks, texts, scripts
 	db $00 ; connections
 
 	dw UndergroundPathWEObject ; objects
@@ -97899,7 +100358,7 @@ UndergroundPathWE_h: ; 0x61f3e to 0x61f4a (12 bytes) (id=121)
 UndergroundPathWEScript: ; 61f4a (18:5f4a)
 	jp EnableAutoTextBoxDrawing
 
-UndergroundPathWETexts: ; 61f4d (18:5f4d)
+UndergroundPathWETextPointers: ; 61f4d (18:5f4d)
 	db "@"
 
 UndergroundPathWEObject: ; 0x61f4e (size=20)
@@ -97920,7 +100379,7 @@ UndergroundPathWEObject: ; 0x61f4e (size=20)
 DiglettsCave_h: ; 0x61f62 to 0x61f6e (12 bytes) (id=197)
 	db $11 ; tileset
 	db DIGLETTS_CAVE_HEIGHT, DIGLETTS_CAVE_WIDTH ; dimensions (y, x)
-	dw DiglettsCaveBlocks, DiglettsCaveTexts, DiglettsCaveScript ; blocks, texts, scripts
+	dw DiglettsCaveBlocks, DiglettsCaveTextPointers, DiglettsCaveScript ; blocks, texts, scripts
 	db $00 ; connections
 
 	dw DiglettsCaveObject ; objects
@@ -97928,7 +100387,7 @@ DiglettsCave_h: ; 0x61f62 to 0x61f6e (12 bytes) (id=197)
 DiglettsCaveScript: ; 61f6e (18:5f6e)
 	jp EnableAutoTextBoxDrawing
 
-DiglettsCaveTexts: ; 61f71 (18:5f71)
+DiglettsCaveTextPointers: ; 61f71 (18:5f71)
 	db "@"
 
 DiglettsCaveObject: ; 0x61f72 (size=20)
@@ -97952,22 +100411,22 @@ DiglettsCaveBlocks: ; 61f86 (18:5f86)
 SilphCo11_h: ; 0x620ee to 0x620fa (12 bytes) (id=235)
 	db $10 ; tileset
 	db SILPH_CO_11F_HEIGHT, SILPH_CO_11F_WIDTH ; dimensions (y, x)
-	dw SilphCo11Blocks, SilphCo11Texts, SilphCo11Script ; blocks, texts, scripts
+	dw SilphCo11Blocks, SilphCo11TextPointers, SilphCo11Script ; blocks, texts, scripts
 	db $00 ; connections
 
 	dw SilphCo11Object ; objects
 
 SilphCo11Script: ; 620fa (18:60fa)
-	call SilphCo11Script_Unknown62110
+	call SilphCo11Script_62110
 	call EnableAutoTextBoxDrawing
 	ld hl, SilphCo11TrainerHeaders
-	ld de, Unknown_621cf ; $61cf
+	ld de, SilphCo11ScriptPointers
 	ld a, [W_SILPHCO11CURSCRIPT]
 	call ExecuteCurMapScriptInTable
 	ld [W_SILPHCO11CURSCRIPT], a
 	ret
 
-SilphCo11Script_Unknown62110: ; 62110 (18:6110)
+SilphCo11Script_62110: ; 62110 (18:6110)
 	ld hl, $d126
 	bit 5, [hl]
 	res 5, [hl]
@@ -98071,12 +100530,19 @@ Func_621c8: ; 621c8 (18:61c8)
 	ld [W_CURMAPSCRIPT], a
 	ret
 
-Unknown_621cf: ; 621cf (18:61cf)
-INCBIN "baserom.gbc",$621cf,$621db - $621cf
+SilphCo11ScriptPointers: ; 621cf (18:61cf)
+	dw SilphCo11Script0
+	dw Func_324c
+	dw EndTrainerBattle
+	dw SilphCo11Script3
+	dw SilphCo11Script4
+	dw SilphCo11Script5
+
+SilphCo11Script0: ; 621db (18:61db)
 	ld a, [$d838]
 	bit 7, a
 	ret nz
-	ld hl, Unknown_62211 ; $6211
+	ld hl, CoordsData_62211 ; $6211
 	call ArePlayerCoordsInArray
 	jp nc, CheckFightingMapTrainers
 	ld a, [wWhichTrade] ; $cd3d
@@ -98091,16 +100557,18 @@ INCBIN "baserom.gbc",$621cf,$621db - $621cf
 	ld a, $3
 	ld [H_DOWNARROWBLINKCNT2], a ; $FF00+$8c
 	call SetSpriteMovementBytesToFF
-	ld de, Unknown_62216 ; $6216
+	ld de, MovementData_62216
 	call MoveSprite
 	ld a, $3
 	jp Func_621c8
 
-Unknown_62211: ; 62211 (18:6211)
-INCBIN "baserom.gbc",$62211,$62216 - $62211
+CoordsData_62211: ; 62211 (18:6211)
+	db $0D,$06
+	db $0C,$07
+	db $FF
 
-Unknown_62216: ; 62216 (18:6216)
-INCBIN "baserom.gbc",$62216,$6221a - $62216
+MovementData_62216: ; 62216 (18:6216)
+	db $00,$00,$00,$FF
 
 Func_6221a: ; 6221a (18:621a)
 	ld [$d528], a
@@ -98109,6 +100577,8 @@ Func_6221a: ; 6221a (18:621a)
 	ld a, b
 	ld [$FF00+$8d], a
 	jp Func_34a6
+
+SilphCo11Script5: ; 62227 (18:6227)
 	ld a, [W_ISINBATTLE] ; $d057
 	cp $ff
 	jp z, Func_621c4
@@ -98138,6 +100608,8 @@ Func_6221a: ; 6221a (18:621a)
 	xor a
 	ld [wJoypadForbiddenButtonsMask], a
 	jp Func_621c8
+
+SilphCo11Script3: ; 6226a (18:626a)
 	ld a, [$d730]
 	bit 0, a
 	ret nz
@@ -98158,6 +100630,8 @@ Func_6221a: ; 6221a (18:621a)
 	call Delay3
 	ld a, $4
 	jp Func_621c8
+
+SilphCo11Script4: ; 62293 (18:6293)
 	ld hl, $d72d
 	set 6, [hl]
 	set 7, [hl]
@@ -98173,8 +100647,13 @@ Func_6221a: ; 6221a (18:621a)
 	ld a, $5
 	jp Func_621c8
 
-SilphCo11Texts: ; 622b7 (18:62b7)
-	dw SilphCo11Text1, SilphCo11Text2, SilphCo11Text3, SilphCo11Text4, SilphCo11Text5, SilphCo11Text6
+SilphCo11TextPointers: ; 622b7 (18:62b7)
+	dw SilphCo11Text1
+	dw SilphCo11Text2
+	dw SilphCo11Text3
+	dw SilphCo11Text4
+	dw SilphCo11Text5
+	dw SilphCo11Text6
 
 SilphCo11TrainerHeaders: ; 622c3 (18:62c3)
 SilphCo11TrainerHeader0: ; 622c3 (18:62c3)
@@ -98195,7 +100674,7 @@ SilphCo11TrainerHeader1: ; 622cf (18:62cf)
 	dw SilphCo11EndBattleText2 ; 0x6362 TextEndBattle
 	dw SilphCo11EndBattleText2 ; 0x6362 TextEndBattle
 
-db $ff
+	db $ff
 
 SilphCo11Text1: ; 622dc (18:62dc)
 	db $08 ; asm
@@ -98455,7 +100934,12 @@ UnnamedText_62502: ; 62502 (18:6502)
 	TX_FAR _UnnamedText_62502
 	db "@"
 
-INCBIN "baserom.gbc",$62507,$62511 - $62507
+	ret
+	db "@"
+	
+	call EnableAutoTextBoxDrawing
+	ld a, $e
+	jp Func_3ef5
 
 UnnamedText_62511: ; 62511 (18:6511)
 	TX_FAR _UnnamedText_62511
@@ -103080,17 +105564,16 @@ SaveSAV: ;$770a
 	call DelayFrames
 	ld hl,GameSavedText
 	call PrintText
-	ld a,$b6        ;sound for saved game?
-	call $3740      ;sound-related
-	call $3748      ;sound-related
+	ld a,$b6        ;sound for saved game
+	call PlaySoundWaitForCurrent
+	call WaitForSoundToFinish
 	ld c,$1e
 	jp DelayFrames
 
 NowSavingString:
 	db "Now saving...@"
 
-SaveSAVConfirm:
-;$7768
+SaveSAVConfirm: ; $7768
 	call PrintText
 	FuncCoord 0, 7
 	ld hl,Coord
@@ -103610,7 +106093,6 @@ PadSRAM_FF: ; 73b8f (1c:7b8f)
 	ld a, $ff
 	jp FillMemory
 
-
 SECTION "bank1D",ROMX,BANK[$1D]
 
 CopycatsHouseF1Blocks: ; 74000 (1d:4000)
@@ -104235,7 +106717,7 @@ Unnamed_ASM_74872: ; 74872 (1d:4872)
 ViridianGym_h: ; 0x74897 to 0x748a3 (12 bytes) (id=45)
 	db $07 ; tileset
 	db VIRIDIAN_GYM_HEIGHT, VIRIDIAN_GYM_WIDTH ; dimensions (y, x)
-	dw ViridianGymBlocks, ViridianGymTexts, ViridianGymScript ; blocks, texts, scripts
+	dw ViridianGymBlocks, ViridianGymTextPointers, ViridianGymScript ; blocks, texts, scripts
 	db $00 ; connections
 
 	dw ViridianGymObject ; objects
@@ -104246,7 +106728,7 @@ ViridianGymScript: ; 748a3 (1d:48a3)
 	call LoadGymLeaderAndCityName
 	call EnableAutoTextBoxDrawing
 	ld hl, ViridianGymTrainerHeaders
-	ld de, Unknown_748e1
+	ld de, ViridianGymScriptPointers
 	ld a, [W_VIRIDIANGYMCURSCRIPT]
 	call ExecuteCurMapScriptInTable
 	ld [W_VIRIDIANGYMCURSCRIPT], a
@@ -104264,20 +106746,19 @@ Func_748d6: ; 748d6 (1d:48d6)
 	ld [W_CURMAPSCRIPT], a
 	ret
 
-Unknown_748e1: ; 748e1 (1d:48e1)
-	dw Func_748eb
+ViridianGymScriptPointers: ; 748e1 (1d:48e1)
+	dw ViridianGymScript0
 	dw Func_324c
 	dw EndTrainerBattle
-	dw Func_74988
-	dw Func_7496b
+	dw ViridianGymScript3
+	dw ViridianGymScript4
 
-
-Func_748eb: ; 748eb (1d:48eb)
+ViridianGymScript0: ; 748eb (1d:48eb)
 	ld a, [W_YCOORD] ; $d361
 	ld b, a
 	ld a, [W_XCOORD] ; $d362
 	ld c, a
-	ld hl, Unknown_74916
+	ld hl, ViridianGymArrowTilePlayerMovement
 	call Func_3442
 	cp $ff
 	jp z, CheckFightingMapTrainers
@@ -104292,83 +106773,78 @@ Func_748eb: ; 748eb (1d:48eb)
 	ld [W_CURMAPSCRIPT], a
 	ret
 
-Unknown_74916: ; 74916 (1d:4916)
-dw $130b
-dw Unknown_74947
-dw $1301
-dw Unknown_7494a
-dw $1202
-dw Unknown_7494d
-dw $0b02
-dw Unknown_74950
-dw $100a
-dw Unknown_74953
-dw $0406
-dw Unknown_74956
-dw $050d
-dw Unknown_74959
-dw $040e
-dw Unknown_7495c
-dw $000f
-dw Unknown_7495f
-dw $010f
-dw Unknown_74962
-dw $0d10
-dw Unknown_74965
-dw $0d11
-dw Unknown_74968
-db $FF
+;format:
+;db y,x
+;dw pointer to movement
+ViridianGymArrowTilePlayerMovement: ; 74916 (1d:4916)
+	db $b,$13
+	dw ViridianGymArrowMovement1
+	db $1,$13
+	dw ViridianGymArrowMovement2
+	db $2,$12
+	dw ViridianGymArrowMovement3
+	db $2,$b
+	dw ViridianGymArrowMovement4
+	db $a,$10
+	dw ViridianGymArrowMovement5
+	db $6,$4
+	dw ViridianGymArrowMovement6
+	db $d,$5
+	dw ViridianGymArrowMovement7
+	db $e,$4
+	dw ViridianGymArrowMovement8
+	db $f,$0
+	dw ViridianGymArrowMovement9
+	db $f,$1
+	dw ViridianGymArrowMovement10
+	db $10,$d
+	dw ViridianGymArrowMovement11
+	db $11,$d
+	dw ViridianGymArrowMovement12
+	db $FF
 
-Unknown_74947: ; 74947 (1d:4947)
-db $40
-db $09
-db $FF
-Unknown_7494a: ; 7494a (1d:494a)
-db $20
-db $08
-db $FF
-Unknown_7494d: ; 7494d (1d:494d)
-db $80
-db $09
-db $FF
-Unknown_74950: ; 74950 (1d:4950)
-db $10
-db $06
-db $FF
-Unknown_74953: ; 74953 (1d:4953)
-db $80
-db $02
-db $FF
-Unknown_74956: ; 74956 (1d:4956)
-db $80
-db $07
-db $FF
-Unknown_74959: ; 74959 (1d:4959)
-db $10
-db $08
-db $FF
-Unknown_7495c: ; 7495c (1d:495c)
-db $10
-db $09
-db $FF
-Unknown_7495f: ; 7495f (1d:495f)
-db $40
-db $08
-db $FF
-Unknown_74962: ; 74962 (1d:4962)
-db $40
-db $06
-db $FF
-Unknown_74965: ; 74965 (1d:4965)
-db $20
-db $06
-db $FF
-Unknown_74968: ; 74968 (1d:4968)
-db $20
-db $0C
-db $FF
+;format: direction, count
+;right:	$10
+;left:	$20
+;up:	$40
+;down:	$80
+ViridianGymArrowMovement1: ; 74947 (1d:4947)
+	db $40,$09,$FF
 
-Func_7496b: ; 7496b (1d:496b)
+ViridianGymArrowMovement2: ; 7494a (1d:494a)
+	db $20,$08,$FF
+
+ViridianGymArrowMovement3: ; 7494d (1d:494d)
+	db $80,$09,$FF
+
+ViridianGymArrowMovement4: ; 74950 (1d:4950)
+	db $10,$06,$FF
+
+ViridianGymArrowMovement5: ; 74953 (1d:4953)
+	db $80,$02,$FF
+
+ViridianGymArrowMovement6: ; 74956 (1d:4956)
+	db $80,$07,$FF
+
+ViridianGymArrowMovement7: ; 74959 (1d:4959)
+	db $10,$08,$FF
+
+ViridianGymArrowMovement8: ; 7495c (1d:495c)
+	db $10,$09,$FF
+
+ViridianGymArrowMovement9: ; 7495f (1d:495f)
+	db $40,$08,$FF
+
+ViridianGymArrowMovement10: ; 74962 (1d:4962)
+	db $40,$06,$FF
+
+ViridianGymArrowMovement11: ; 74965 (1d:4965)
+	db $20,$06,$FF
+
+ViridianGymArrowMovement12: ; 74968 (1d:4968)
+	db $20,$0C,$FF
+
+ViridianGymScript4: ; 7496b (1d:496b)
 	ld a, [$cd38]
 	and a
 	jr nz, .asm_74980
@@ -104384,7 +106860,7 @@ Func_7496b: ; 7496b (1d:496b)
 	ld hl, Func_44fd7
 	jp Bankswitch ; indirect jump to Func_44fd7 (44fd7 (11:4fd7))
 
-Func_74988: ; 74988 (1d:4988)
+ViridianGymScript3: ; 74988 (1d:4988)
 	ld a, [W_ISINBATTLE] ; $d057
 	cp $ff
 	jp z, Func_748d6
@@ -104429,8 +106905,21 @@ Unknown_74995: ; 74995 (1d:4995)
 	set 7, [hl]
 	jp Func_748d6
 
-ViridianGymTexts: ; 749ec (1d:49ec)
-	dw ViridianGymText1, ViridianGymText2, ViridianGymText3, ViridianGymText4, ViridianGymText5, ViridianGymText6, ViridianGymText7, ViridianGymText8, ViridianGymText9, ViridianGymText10, Predef5CText, ViridianGymText12, ViridianGymText13, ViridianGymText14
+ViridianGymTextPointers: ; 749ec (1d:49ec)
+	dw ViridianGymText1
+	dw ViridianGymText2
+	dw ViridianGymText3
+	dw ViridianGymText4
+	dw ViridianGymText5
+	dw ViridianGymText6
+	dw ViridianGymText7
+	dw ViridianGymText8
+	dw ViridianGymText9
+	dw ViridianGymText10
+	dw Predef5CText
+	dw ViridianGymText12
+	dw ViridianGymText13
+	dw ViridianGymText14
 
 ViridianGymTrainerHeaders: ; 74a08 (1d:4a08)
 ViridianGymTrainerHeader0: ; 74a08 (1d:4a08)
@@ -104505,7 +106994,7 @@ ViridianGymTrainerHeader7: ; 74a5c (1d:4a5c)
 	dw ViridianGymEndBattleText8 ; 0x4bb1 TextEndBattle
 	dw ViridianGymEndBattleText8 ; 0x4bb1 TextEndBattle
 
-db $ff
+	db $ff
 
 ViridianGymText1: ; 74a69 (1d:4a69)
 	db $08 ; asm
@@ -104777,7 +107266,7 @@ ViridianGymBlocks: ; 74c47 (1d:4c47)
 PewterMart_h: ; 0x74ca1 to 0x74cad (12 bytes) (id=56)
 	db $02 ; tileset
 	db PEWTER_MART_HEIGHT, PEWTER_MART_WIDTH ; dimensions (y, x)
-	dw PewterMartBlocks, PewterMartTexts, PewterMartScript ; blocks, texts, scripts
+	dw PewterMartBlocks, PewterMartTextPointers, PewterMartScript ; blocks, texts, scripts
 	db $00 ; connections
 
 	dw PewterMartObject ; objects
@@ -104788,8 +107277,10 @@ PewterMartScript: ; 74cad (1d:4cad)
 	ld [$cf0c], a
 	ret
 
-PewterMartTexts: ; 74cb6 (1d:4cb6)
-	dw PewterMartText1, PewterMartText2, PewterMartText3
+PewterMartTextPointers: ; 74cb6 (1d:4cb6)
+	dw PewterMartText1
+	dw PewterMartText2
+	dw PewterMartText3
 
 PewterMartText2: ; 74cbc (1d:4cbc)
 	db $08 ; asm
@@ -104832,7 +107323,7 @@ PewterMartObject: ; 0x74cda (size=38)
 UnknownDungeon1_h: ; 0x74d00 to 0x74d0c (12 bytes) (id=228)
 	db $11 ; tileset
 	db UNKNOWN_DUNGEON_1_HEIGHT, UNKNOWN_DUNGEON_1_WIDTH ; dimensions (y, x)
-	dw UnknownDungeon1Blocks, UnknownDungeon1Texts, UnknownDungeon1Script ; blocks, texts, scripts
+	dw UnknownDungeon1Blocks, UnknownDungeon1TextPointers, UnknownDungeon1Script ; blocks, texts, scripts
 	db $00 ; connections
 
 	dw UnknownDungeon1Object ; objects
@@ -104840,8 +107331,10 @@ UnknownDungeon1_h: ; 0x74d00 to 0x74d0c (12 bytes) (id=228)
 UnknownDungeon1Script: ; 74d0c (1d:4d0c)
 	jp EnableAutoTextBoxDrawing
 
-UnknownDungeon1Texts: ; 74d0f (1d:4d0f)
-	dw Predef5CText, Predef5CText, Predef5CText
+UnknownDungeon1TextPointers: ; 74d0f (1d:4d0f)
+	dw Predef5CText
+	dw Predef5CText
+	dw Predef5CText
 
 UnknownDungeon1Object: ; 0x74d15 (size=97)
 	db $7d ; border tile
@@ -104881,7 +107374,7 @@ UnknownDungeon1Blocks: ; 74d76 (1d:4d76)
 CeruleanHouse2_h: ; 0x74dfd to 0x74e09 (12 bytes) (id=230)
 	db $0d ; tileset
 	db CERULEAN_HOUSE_2_HEIGHT, CERULEAN_HOUSE_2_WIDTH ; dimensions (y, x)
-	dw CeruleanHouse2Blocks, CeruleanHouse2Texts, CeruleanHouse2Script ; blocks, texts, scripts
+	dw CeruleanHouse2Blocks, CeruleanHouse2TextPointers, CeruleanHouse2Script ; blocks, texts, scripts
 	db $00 ; connections
 
 	dw CeruleanHouse2Object ; objects
@@ -104893,7 +107386,7 @@ CeruleanHouse2Script: ; 74e09 (1d:4e09)
 	ld [$cc3c], a
 	ret
 
-CeruleanHouse2Texts: ; 74e13 (1d:4e13)
+CeruleanHouse2TextPointers: ; 74e13 (1d:4e13)
 	dw CeruleanHouse2Text1
 
 CeruleanHouse2Text1: ; 74e15 (1d:4e15)
@@ -104940,7 +107433,7 @@ CeruleanHouse2Text1: ; 74e15 (1d:4e15)
 	jp TextScriptEnd
 
 UnnamedText_74e6d: ; 74e6d (1d:4e6d)
-db $8,BOULDERBADGE,CASCADEBADGE,THUNDERBADGE,RAINBOWBADGE,SOULBADGE,MARSHBADGE,VOLCANOBADGE,EARTHBADGE,$FF
+	db $8,BOULDERBADGE,CASCADEBADGE,THUNDERBADGE,RAINBOWBADGE,SOULBADGE,MARSHBADGE,VOLCANOBADGE,EARTHBADGE,$FF
 
 UnnamedText_74e77: ; 74e77 (1d:4e77)
 	TX_FAR _UnnamedText_74e77
@@ -104955,14 +107448,14 @@ UnnamedText_74e81: ; 74e81 (1d:4e81)
 	db "@"
 
 Unknown_74e86: ; 74e86 (1d:4e86)
-dw UnnamedText_74e96
-dw UnnamedText_74e9b
-dw UnnamedText_74ea0
-dw UnnamedText_74ea5
-dw UnnamedText_74eaa
-dw UnnamedText_74eaf
-dw UnnamedText_74eb4
-dw UnnamedText_74eb9
+	dw UnnamedText_74e96
+	dw UnnamedText_74e9b
+	dw UnnamedText_74ea0
+	dw UnnamedText_74ea5
+	dw UnnamedText_74eaa
+	dw UnnamedText_74eaf
+	dw UnnamedText_74eb4
+	dw UnnamedText_74eb9
 
 UnnamedText_74e96: ; 74e96 (1d:4e96)
 	TX_FAR _UnnamedText_74e96
@@ -105014,7 +107507,7 @@ CeruleanHouse2Object: ; 0x74ebe (size=34)
 	EVENT_DISP $4, $7, $2
 	EVENT_DISP $4, $7, $3
 
-Unknown_74ee0: ; 74ee0 (1d:4ee0)
+Func_74ee0: ; 74ee0 (1d:4ee0)
 	ld hl, UnnamedText_74f99
 	call PrintText
 	ld a, $13
@@ -105154,7 +107647,7 @@ VendingPrices: ; 75000 (1d:5000)
 FuchsiaHouse1_h: ; 0x7500c to 0x75018 (12 bytes) (id=153)
 	db $08 ; tileset
 	db FUCHSIA_HOUSE_1_HEIGHT, FUCHSIA_HOUSE_1_WIDTH ; dimensions (y, x)
-	dw FuchsiaHouse1Blocks, FuchsiaHouse1Texts, FuchsiaHouse1Script ; blocks, texts, scripts
+	dw FuchsiaHouse1Blocks, FuchsiaHouse1TextPointers, FuchsiaHouse1Script ; blocks, texts, scripts
 	db $00 ; connections
 
 	dw FuchsiaHouse1Object ; objects
@@ -105163,8 +107656,10 @@ FuchsiaHouse1Script: ; 75018 (1d:5018)
 	call EnableAutoTextBoxDrawing
 	ret
 
-FuchsiaHouse1Texts: ; 7501c (1d:501c)
-	dw FuchsiaHouse1Text1, FuchsiaHouse1Text2, FuchsiaHouse1Text3
+FuchsiaHouse1TextPointers: ; 7501c (1d:501c)
+	dw FuchsiaHouse1Text1
+	dw FuchsiaHouse1Text2
+	dw FuchsiaHouse1Text3
 
 FuchsiaHouse1Text1: ; 75022 (1d:5022)
 	TX_FAR _FuchsiaHouse1Text1
@@ -105199,7 +107694,7 @@ FuchsiaHouse1Object: ; 0x75031 (size=38)
 FuchsiaPokecenter_h: ; 0x75057 to 0x75063 (12 bytes) (id=154)
 	db $06 ; tileset
 	db FUCHSIA_POKECENTER_HEIGHT, FUCHSIA_POKECENTER_WIDTH ; dimensions (y, x)
-	dw FuchsiaPokecenterBlocks, FuchsiaPokecenterTexts, FuchsiaPokecenterScript ; blocks, texts, scripts
+	dw FuchsiaPokecenterBlocks, FuchsiaPokecenterTextPointers, FuchsiaPokecenterScript ; blocks, texts, scripts
 	db $00 ; connections
 
 	dw FuchsiaPokecenterObject ; objects
@@ -105208,8 +107703,11 @@ FuchsiaPokecenterScript: ; 75063 (1d:5063)
 	call Func_22fa
 	jp EnableAutoTextBoxDrawing
 
-FuchsiaPokecenterTexts: ; 75069 (1d:5069)
-	dw FuchsiaPokecenterText1, FuchsiaPokecenterText2, FuchsiaPokecenterText3, FuchsiaPokecenterText4
+FuchsiaPokecenterTextPointers: ; 75069 (1d:5069)
+	dw FuchsiaPokecenterText1
+	dw FuchsiaPokecenterText2
+	dw FuchsiaPokecenterText3
+	dw FuchsiaPokecenterText4
 
 FuchsiaPokecenterText1: ; 75071 (1d:5071)
 	db $ff
@@ -105247,7 +107745,7 @@ FuchsiaPokecenterObject: ; 0x7507d (size=44)
 FuchsiaHouse2_h: ; 0x750a9 to 0x750b5 (12 bytes) (id=155)
 	db $14 ; tileset
 	db FUCHSIA_HOUSE_2_HEIGHT, FUCHSIA_HOUSE_2_WIDTH ; dimensions (y, x)
-	dw FuchsiaHouse2Blocks, FuchsiaHouse2Texts, FuchsiaHouse2Script ; blocks, texts, scripts
+	dw FuchsiaHouse2Blocks, FuchsiaHouse2TextPointers, FuchsiaHouse2Script ; blocks, texts, scripts
 	db $00 ; connections
 
 	dw FuchsiaHouse2Object ; objects
@@ -105255,8 +107753,12 @@ FuchsiaHouse2_h: ; 0x750a9 to 0x750b5 (12 bytes) (id=155)
 FuchsiaHouse2Script: ; 750b5 (1d:50b5)
 	jp EnableAutoTextBoxDrawing
 
-FuchsiaHouse2Texts: ; 750b8 (1d:50b8)
-	dw FuchsiaHouse2Text1, Predef5CText, BoulderText, FuchsiaHouse2Text4, FuchsiaHouse2Text5
+FuchsiaHouse2TextPointers: ; 750b8 (1d:50b8)
+	dw FuchsiaHouse2Text1
+	dw Predef5CText
+	dw BoulderText
+	dw FuchsiaHouse2Text4
+	dw FuchsiaHouse2Text5
 
 FuchsiaHouse2Text1: ; 750c2 (1d:50c2)
 	db $08 ; asm
@@ -105393,22 +107895,28 @@ FuchsiaHouse2Blocks: ; 751ad (1d:51ad)
 SafariZoneEntrance_h: ; 0x751c1 to 0x751cd (12 bytes) (id=156)
 	db $0c ; tileset
 	db SAFARIZONEENTRANCE_HEIGHT, SAFARIZONEENTRANCE_WIDTH ; dimensions (y, x)
-	dw SafariZoneEntranceBlocks, SafariZoneEntranceTexts, SafariZoneEntranceScript ; blocks, texts, scripts
+	dw SafariZoneEntranceBlocks, SafariZoneEntranceTextPointers, SafariZoneEntranceScript ; blocks, texts, scripts
 	db $00 ; connections
 
 	dw SafariZoneEntranceObject ; objects
 
 SafariZoneEntranceScript: ; 751cd (1d:51cd)
 	call EnableAutoTextBoxDrawing
-	ld hl, SafariZoneEntranceScripts
+	ld hl, SafariZoneEntranceScriptPointers
 	ld a, [W_SAFARIZONEENTRANCECURSCRIPT]
 	jp CallFunctionInTable
 
-SafariZoneEntranceScripts: ; 751d9 (1d:51d9)
-	dw SafariZoneEntranceScript0, SafariZoneEntranceScript1, SafariZoneEntranceScript2, SafariZoneEntranceScript3, SafariZoneEntranceScript4, SafariZoneEntranceScript5, SafariZoneEntranceScript6
+SafariZoneEntranceScriptPointers: ; 751d9 (1d:51d9)
+	dw SafariZoneEntranceScript0
+	dw SafariZoneEntranceScript1
+	dw SafariZoneEntranceScript2
+	dw SafariZoneEntranceScript3
+	dw SafariZoneEntranceScript4
+	dw SafariZoneEntranceScript5
+	dw SafariZoneEntranceScript6
 
 SafariZoneEntranceScript0: ; 751e7 (1d:51e7)
-	ld hl, Unknown_75221
+	ld hl, CoordsData_75221
 	call ArePlayerCoordsInArray
 	ret nc
 	ld a, $3
@@ -105429,18 +107937,20 @@ SafariZoneEntranceScript0: ; 751e7 (1d:51e7)
 .asm_7520f
 	ld a, $10
 	ld c, $1
-	call Unknown_752a3
+	call Func_752a3
 	ld a, $f0
 	ld [wJoypadForbiddenButtonsMask], a
 	ld a, $1
 	ld [W_SAFARIZONEENTRANCECURSCRIPT], a
 	ret
 
-Unknown_75221: ; 75221 (1d:5221)
-db $2, $3, $2, $4, $ff
+CoordsData_75221: ; 75221 (1d:5221)
+	db $02,$03
+	db $02,$04
+	db $FF
 
 SafariZoneEntranceScript1: ; 75226 (1d:5226)
-	call Unknown_752b4
+	call Func_752b4
 	ret nz
 SafariZoneEntranceScript2: ; 7522a (1d:522a)
 	xor a
@@ -105455,7 +107965,7 @@ SafariZoneEntranceScript2: ; 7522a (1d:522a)
 	ret
 
 SafariZoneEntranceScript3: ; 75240 (1d:5240)
-	call Unknown_752b4
+	call Func_752b4
 	ret nz
 	xor a
 	ld [wJoypadForbiddenButtonsMask], a
@@ -105481,7 +107991,7 @@ SafariZoneEntranceScript5: ; 7524e (1d:524e)
 	ld [$da47], a
 	ld a, $80
 	ld c, $3
-	call Unknown_752a3
+	call Func_752a3
 	ld a, $4
 	ld [W_SAFARIZONEENTRANCECURSCRIPT], a
 	jr .asm_75286 ; 0x7527d $7
@@ -105493,7 +108003,7 @@ SafariZoneEntranceScript5: ; 7524e (1d:524e)
 	ret
 
 SafariZoneEntranceScript4: ; 75287 (1d:5287)
-	call Unknown_752b4
+	call Func_752b4
 	ret nz
 	xor a
 	ld [wJoypadForbiddenButtonsMask], a
@@ -105502,14 +108012,14 @@ SafariZoneEntranceScript4: ; 75287 (1d:5287)
 	ret
 
 SafariZoneEntranceScript6: ; 75295 (1d:5295)
-	call Unknown_752b4
+	call Func_752b4
 	ret nz
 	call Delay3
 	ld a, [$cf0d]
 	ld [W_SAFARIZONEENTRANCECURSCRIPT], a
 	ret
 
-Unknown_752a3: ; 752a3 (1d:52a3)
+Func_752a3: ; 752a3 (1d:52a3)
 	push af
 	ld b, $0
 	ld a, c
@@ -105519,13 +108029,18 @@ Unknown_752a3: ; 752a3 (1d:52a3)
 	call FillMemory
 	jp Func_3486
 
-Unknown_752b4: ; 752b4 (1d:52b4)
+Func_752b4: ; 752b4 (1d:52b4)
 	ld a, [$cd38]
 	and a
 	ret
 
-SafariZoneEntranceTexts: ; 752b9 (1d:52b9)
-	dw SafariZoneEntranceText1, SafariZoneEntranceText2, SafariZoneEntranceText3, SafariZoneEntranceText4, SafariZoneEntranceText5, SafariZoneEntranceText6
+SafariZoneEntranceTextPointers: ; 752b9 (1d:52b9)
+	dw SafariZoneEntranceText1
+	dw SafariZoneEntranceText2
+	dw SafariZoneEntranceText3
+	dw SafariZoneEntranceText4
+	dw SafariZoneEntranceText5
+	dw SafariZoneEntranceText6
 
 SafariZoneEntranceText3: ; 752c5 (1d:52c5)
 SafariZoneEntranceText1: ; 752c5 (1d:52c5)
@@ -105578,7 +108093,7 @@ SafariZoneEntranceText4: ; 752ca (1d:52ca)
 	ld [$d70e], a
 	ld a, $40
 	ld c, $3
-	call Unknown_752a3
+	call Func_752a3
 	ld hl, $d790
 	set 7, [hl]
 	res 6, [hl]
@@ -105591,7 +108106,7 @@ SafariZoneEntranceText4: ; 752ca (1d:52ca)
 .asm_7534c
 	ld a, $80
 	ld c, $1
-	call Unknown_752a3
+	call Func_752a3
 	ld a, $4
 	ld [W_SAFARIZONEENTRANCECURSCRIPT], a
 .asm_75358
@@ -105626,7 +108141,7 @@ SafariZoneEntranceText5: ; 7536f (1d:536f)
 	ld [$c109], a
 	ld a, $80
 	ld c, $3
-	call Unknown_752a3
+	call Func_752a3
 	ld hl, $d790
 	res 6, [hl]
 	res 7, [hl]
@@ -105640,7 +108155,7 @@ SafariZoneEntranceText5: ; 7536f (1d:536f)
 	ld [$c109], a
 	ld a, $40
 	ld c, $1
-	call Unknown_752a3
+	call Func_752a3
 	ld a, $5
 	ld [$cf0d], a
 .asm_753b3
@@ -105713,7 +108228,7 @@ SafariZoneEntranceBlocks: ; 75425 (1d:5425)
 FuchsiaGym_h: ; 0x75431 to 0x7543d (12 bytes) (id=157)
 	db $07 ; tileset
 	db FUCHSIA_GYM_HEIGHT, FUCHSIA_GYM_WIDTH ; dimensions (y, x)
-	dw FuchsiaGymBlocks, FuchsiaGymTexts, FuchsiaGymScript ; blocks, texts, scripts
+	dw FuchsiaGymBlocks, FuchsiaGymTextPointers, FuchsiaGymScript ; blocks, texts, scripts
 	db $00 ; connections
 
 	dw FuchsiaGymObject ; objects
@@ -105722,7 +108237,7 @@ FuchsiaGymScript: ; 7543d (1d:543d)
 	call FuchsiaGymScript_Unknown75453
 	call EnableAutoTextBoxDrawing
 	ld hl, FuchsiaGymTrainerHeaders
-	ld de, Unknown_75482
+	ld de, FuchsiaGymScriptPointers
 	ld a, [W_FUCHSIAGYMCURSCRIPT]
 	call ExecuteCurMapScriptInTable
 	ld [W_FUCHSIAGYMCURSCRIPT], a
@@ -105750,13 +108265,13 @@ Func_75477: ; 75477 (1d:5477)
 	ld [W_CURMAPSCRIPT], a
 	ret
 
-Unknown_75482: ; 75482 (1d:5482)
+FuchsiaGymScriptPointers: ; 75482 (1d:5482)
 	dw CheckFightingMapTrainers
 	dw Func_324c
 	dw EndTrainerBattle
-	dw Func_7548a
+	dw FuchsiaGymScript3
 
-Func_7548a: ; 7548a (1d:548a)
+FuchsiaGymScript3: ; 7548a (1d:548a)
 	ld a, [W_ISINBATTLE] ; $d057
 	cp $ff
 	jp z, Func_75477
@@ -105791,8 +108306,18 @@ Unknown_75497: ; 75497 (1d:5497)
 	ld [$d792], a
 	jp Func_75477
 
-FuchsiaGymTexts: ; 754d5 (1d:54d5)
-	dw FuchsiaGymText1, FuchsiaGymText2, FuchsiaGymText3, FuchsiaGymText4, FuchsiaGymText5, FuchsiaGymText6, FuchsiaGymText7, FuchsiaGymText8, FuchsiaGymText9, FuchsiaGymText10, FuchsiaGymText11
+FuchsiaGymTextPointers: ; 754d5 (1d:54d5)
+	dw FuchsiaGymText1
+	dw FuchsiaGymText2
+	dw FuchsiaGymText3
+	dw FuchsiaGymText4
+	dw FuchsiaGymText5
+	dw FuchsiaGymText6
+	dw FuchsiaGymText7
+	dw FuchsiaGymText8
+	dw FuchsiaGymText9
+	dw FuchsiaGymText10
+	dw FuchsiaGymText11
 
 FuchsiaGymTrainerHeaders: ; 754eb (1d:54eb)
 FuchsiaGymTrainerHeader0: ; 754eb (1d:54eb)
@@ -105849,7 +108374,7 @@ FuchsiaGymTrainerHeader6: ; 75527 (1d:5527)
 	dw FuchsiaGymEndBattleText6 ; 0x5630 TextEndBattle
 	dw FuchsiaGymEndBattleText6 ; 0x5630 TextEndBattle
 
-db $ff
+	db $ff
 
 FuchsiaGymText1: ; 75534 (1d:5534)
 	db $08 ; asm
@@ -106071,7 +108596,7 @@ FuchsiaGymBlocks: ; 756aa (1d:56aa)
 FuchsiaMeetingRoom_h: ; 0x756d7 to 0x756e3 (12 bytes) (id=158)
 	db $14 ; tileset
 	db FUCHSIAMEETINGROOM_HEIGHT, FUCHSIAMEETINGROOM_WIDTH ; dimensions (y, x)
-	dw FuchsiaMeetingRoomBlocks, FuchsiaMeetingRoomTexts, FuchsiaMeetingRoomScript ; blocks, texts, scripts
+	dw FuchsiaMeetingRoomBlocks, FuchsiaMeetingRoomTextPointers, FuchsiaMeetingRoomScript ; blocks, texts, scripts
 	db $00 ; connections
 
 	dw FuchsiaMeetingRoomObject ; objects
@@ -106080,8 +108605,10 @@ FuchsiaMeetingRoomScript: ; 756e3 (1d:56e3)
 	call EnableAutoTextBoxDrawing
 	ret
 
-FuchsiaMeetingRoomTexts: ; 756e7 (1d:56e7)
-	dw FuchsiaMeetingRoomText1, FuchsiaMeetingRoomText2, FuchsiaMeetingRoomText3
+FuchsiaMeetingRoomTextPointers: ; 756e7 (1d:56e7)
+	dw FuchsiaMeetingRoomText1
+	dw FuchsiaMeetingRoomText2
+	dw FuchsiaMeetingRoomText3
 
 FuchsiaMeetingRoomText1: ; 756ed (1d:56ed)
 	TX_FAR _FuchsiaMeetingRoomText1
@@ -106119,7 +108646,7 @@ FuchsiaMeetingRoomBlocks: ; 75722 (1d:5722)
 CinnabarGym_h: ; 0x7573e to 0x7574a (12 bytes) (id=166)
 	db $16 ; tileset
 	db CINNABAR_GYM_HEIGHT, CINNABAR_GYM_WIDTH ; dimensions (y, x)
-	dw CinnabarGymBlocks, CinnabarGymTexts, CinnabarGymScript ; blocks, texts, scripts
+	dw CinnabarGymBlocks, CinnabarGymTextPointers, CinnabarGymScript ; blocks, texts, scripts
 	db $00 ; connections
 
 	dw CinnabarGymObject ; objects
@@ -106127,7 +108654,7 @@ CinnabarGym_h: ; 0x7573e to 0x7574a (12 bytes) (id=166)
 CinnabarGymScript: ; 7574a (1d:574a)
 	call CinnabarGymScript_Unknown75759
 	call EnableAutoTextBoxDrawing
-	ld hl, CinnabarGymScripts
+	ld hl, CinnabarGymScriptPointers
 	ld a, [W_CINNABARGYMCURSCRIPT]
 	jp CallFunctionInTable
 
@@ -106167,8 +108694,11 @@ Unknown_757a0: ; 757a0 (1d:57a0)
 	ld [wTrainerHeaderFlagBit], a
 	ret
 
-CinnabarGymScripts: ; 757a6 (1d:57a6)
-	dw CinnabarGymScript0, CinnabarGymScript1, CinnabarGymScript2, CinnabarGymScript3
+CinnabarGymScriptPointers: ; 757a6 (1d:57a6)
+	dw CinnabarGymScript0
+	dw CinnabarGymScript1
+	dw CinnabarGymScript2
+	dw CinnabarGymScript3
 
 CinnabarGymScript0: ; 757ae (1d:57ae)
 	ld a, [$da38]
@@ -106179,10 +108709,10 @@ CinnabarGymScript0: ; 757ae (1d:57ae)
 	jr nz, .asm_757c3 ; 0x757b7 $a
 	ld a, $4
 	ld [$d528], a
-	ld de, Unknown_757d7
+	ld de, MovementData_757d7
 	jr .asm_757cb ; 0x757c1 $8
 .asm_757c3
-	ld de, Unknown_757da
+	ld de, MovementData_757da
 	ld a, $1
 	ld [$d528], a
 .asm_757cb
@@ -106192,11 +108722,11 @@ CinnabarGymScript0: ; 757ae (1d:57ae)
 	ld [W_CURMAPSCRIPT], a
 	ret
 
-Unknown_757d7: ; 757d7 (1d:57d7)
-INCBIN "baserom.gbc",$757d7,$757da - $757d7
+MovementData_757d7: ; 757d7 (1d:57d7)
+	db $80,$40,$FF
 
-Unknown_757da: ; 757da (1d:57da)
-INCBIN "baserom.gbc",$757da,$757dc - $757da
+MovementData_757da: ; 757da (1d:57da)
+	db $80,$FF
 
 CinnabarGymScript1: ; 757dc (1d:57dc)
 	ld a, [$d730]
@@ -106291,11 +108821,19 @@ Unknown_75857: ; 75857 (1d:5857)
 	set 5, [hl]
 	jp Unknown_75792
 
-CinnabarGymTexts: ; 7589f (1d:589f)
-	dw CinnabarGymText1, CinnabarGymText2, CinnabarGymText3, CinnabarGymText4, CinnabarGymText5, CinnabarGymText6, CinnabarGymText7, CinnabarGymText8, CinnabarGymText9
-dw UnnamedText_75925 ;CinnabarGymText 10: ; 0x75925
-dw ReceivedTM38Text  ;CinnabarGymText 11: ; 0x7592a
-dw TM38NoRoomText    ;CinnabarGymText 12: ; 0x75934
+CinnabarGymTextPointers: ; 7589f (1d:589f)
+	dw CinnabarGymText1
+	dw CinnabarGymText2
+	dw CinnabarGymText3
+	dw CinnabarGymText4
+	dw CinnabarGymText5
+	dw CinnabarGymText6
+	dw CinnabarGymText7
+	dw CinnabarGymText8
+	dw CinnabarGymText9
+	dw UnnamedText_75925
+	dw ReceivedTM38Text
+	dw TM38NoRoomText
 
 Unknown_758b7: ; 758b7 (1d:58b7)
 	ld a, [H_DOWNARROWBLINKCNT2] ; $FF00+$8c
@@ -106623,7 +109161,7 @@ CinnabarGymBlocks: ; 75b26 (1d:5b26)
 Lab1_h: ; 0x75b80 to 0x75b8c (12 bytes) (id=167)
 	db $14 ; tileset
 	db CINNABAR_LAB_1_HEIGHT, CINNABAR_LAB_1_WIDTH ; dimensions (y, x)
-	dw Lab1Blocks, Lab1Texts, Lab1Script ; blocks, texts, scripts
+	dw Lab1Blocks, Lab1TextPointers, Lab1Script ; blocks, texts, scripts
 	db $00 ; connections
 
 	dw Lab1Object ; objects
@@ -106632,8 +109170,12 @@ Lab1Script: ; 75b8c (1d:5b8c)
 	call EnableAutoTextBoxDrawing
 	ret
 
-Lab1Texts: ; 75b90 (1d:5b90)
-	dw Lab1Text1, Lab1Text2, Lab1Text3, Lab1Text4, Lab1Text5
+Lab1TextPointers: ; 75b90 (1d:5b90)
+	dw Lab1Text1
+	dw Lab1Text2
+	dw Lab1Text3
+	dw Lab1Text4
+	dw Lab1Text5
 
 Lab1Text1: ; 75b9a (1d:5b9a)
 	TX_FAR _Lab1Text1
@@ -106687,7 +109229,7 @@ Lab1Blocks: ; 75bf1 (1d:5bf1)
 Lab2_h: ; 0x75c15 to 0x75c21 (12 bytes) (id=168)
 	db $14 ; tileset
 	db CINNABAR_LAB_2_HEIGHT, CINNABAR_LAB_2_WIDTH ; dimensions (y, x)
-	dw Lab2Blocks, Lab2Texts, Lab2Script ; blocks, texts, scripts
+	dw Lab2Blocks, Lab2TextPointers, Lab2Script ; blocks, texts, scripts
 	db $00 ; connections
 
 	dw Lab2Object ; objects
@@ -106695,8 +109237,10 @@ Lab2_h: ; 0x75c15 to 0x75c21 (12 bytes) (id=168)
 Lab2Script: ; 75c21 (1d:5c21)
 	jp EnableAutoTextBoxDrawing
 
-Lab2Texts: ; 75c24 (1d:5c24)
-	dw Lab2Text1, Lab2Text2, Lab2Text3
+Lab2TextPointers: ; 75c24 (1d:5c24)
+	dw Lab2Text1
+	dw Lab2Text2
+	dw Lab2Text3
 
 Lab2Text1: ; 75c2a (1d:5c2a)
 	TX_FAR _Lab2Text1
@@ -106741,7 +109285,7 @@ Lab2Blocks: ; 75c6b (1d:5c6b)
 Lab3_h: ; 0x75c7b to 0x75c87 (12 bytes) (id=169)
 	db $14 ; tileset
 	db CINNABAR_LAB_3_HEIGHT, CINNABAR_LAB_3_WIDTH ; dimensions (y, x)
-	dw Lab3Blocks, Lab3Texts, Lab3Script ; blocks, texts, scripts
+	dw Lab3Blocks, Lab3TextPointers, Lab3Script ; blocks, texts, scripts
 	db $00 ; connections
 
 	dw Lab3Object ; objects
@@ -106749,8 +109293,12 @@ Lab3_h: ; 0x75c7b to 0x75c87 (12 bytes) (id=169)
 Lab3Script: ; 75c87 (1d:5c87)
 	jp EnableAutoTextBoxDrawing
 
-Lab3Texts: ; 75c8a (1d:5c8a)
-	dw Lab3Text1, Lab3Text2, Lab3Text3, Lab3Text4, Lab3Text5
+Lab3TextPointers: ; 75c8a (1d:5c8a)
+	dw Lab3Text1
+	dw Lab3Text2
+	dw Lab3Text3
+	dw Lab3Text4
+	dw Lab3Text5
 
 Lab3Text1: ; 75c94 (1d:5c94)
 	db $08 ; asm
@@ -106832,7 +109380,7 @@ Lab3Blocks: ; 75d15 (1d:5d15)
 Lab4_h: ; 0x75d25 to 0x75d31 (12 bytes) (id=170)
 	db $14 ; tileset
 	db CINNABAR_LAB_4_HEIGHT, CINNABAR_LAB_4_WIDTH ; dimensions (y, x)
-	dw Lab4Blocks, Lab4Texts, Lab4Script ; blocks, texts, scripts
+	dw Lab4Blocks, Lab4TextPointers, Lab4Script ; blocks, texts, scripts
 	db $00 ; connections
 
 	dw Lab4Object ; objects
@@ -106840,8 +109388,9 @@ Lab4_h: ; 0x75d25 to 0x75d31 (12 bytes) (id=170)
 Lab4Script: ; 75d31 (1d:5d31)
 	jp EnableAutoTextBoxDrawing
 
-Lab4Texts: ; 75d34 (1d:5d34)
-	dw Lab4Text1, Lab4Text2
+Lab4TextPointers: ; 75d34 (1d:5d34)
+	dw Lab4Text1
+	dw Lab4Text2
 
 Unknown_75d38: ; 75d38 (1d:5d38)
 	xor a
